> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Allowlist Item

> Create an allowlist entry.

### Required API key scope
- Orders




## OpenAPI

````yaml post /allowlists
openapi: 3.1.0
info:
  title: Listings API
  description: >-
    Loop Listings can be utilized to allow exceptions and prevent returns in
    specific situations. This API can be used to manage your shop's listings.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Blocklist
  - name: Allowlist
paths:
  /allowlists:
    post:
      tags:
        - Allowlist
      summary: Create Allowlist Item
      description: |
        Create an allowlist entry.

        ### Required API key scope
        - Orders
      operationId: createAllowlistItem
      requestBody:
        $ref: '#/components/requestBodies/CreateAllowlistRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowlistEntryResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableResponse'
      security:
        - api_key: []
components:
  requestBodies:
    CreateAllowlistRequest:
      content:
        application/json:
          schema:
            type: object
            required:
              - value
              - type
            properties:
              value:
                type: string
                examples:
                  - example@example.com
                description: >-
                  The allowed value. Returns made using this value will override
                  any other return ineligibility.
              type:
                type: string
                enum:
                  - order
                  - product
                  - email
                  - product_tag
                examples:
                  - email
                description: The type of value allowed by this allowlist entry.
              secondary_value:
                type: string
                examples:
                  - example.2@example.com
                description: This value is not used.
  schemas:
    AllowlistEntryResponse:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the allowlist entry.
        type:
          $ref: '#/components/schemas/AllowlistValueType'
        value:
          type: string
          examples:
            - example@example.com
          description: >-
            The allowed value. Returns made using this value will override any
            other return ineligibility.
        secondary_value:
          type: string
          examples:
            - example.2@example.com
          description: This value is not used.
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              examples:
                - '401'
            http_code:
              type: string
              examples:
                - GEN-UNAUTHORIZED
            message:
              type: string
              examples:
                - Unauthorized.
    UnprocessableResponse:
      type: object
      properties:
        message:
          description: >-
            The error message returned when an unsupported value is submitted in
            the `type` field.
          type: string
          examples:
            - >-
              Must be one of the following values: order, product, email,
              product_tag
        errors:
          type: object
    AllowlistValueType:
      type: string
      description: >-
        The type of value allowed by this allowlist entry. `order` is the order
        number of the allowed order and `email` is the customer's email address.
      enum:
        - order
        - email
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````